Get Stopwatch entriesGET

Description

Returns all Stopwatch time entries for the board belonging to the token filtered by a time period.

When filtering on a from-to timespan all entries whose start-end timespan intersects the filter timespan will be included.

See Get Stopwatch entry for details of included properties for each individual Stopwatch entry.

Permissions

The API token needs All data read access.

Request format

curl https://kanbanflow.com/api/v1/stopwatch-entries?from=<TIMESTAMP>&to=<TIMESTAMP>&limit=<INTEGER>&userId=<USER_ID>

Example request

curl https://kanbanflow.com/api/v1/stopwatch-entries?from=2023-01-01T00:00:00Z&to=2023-01-03T00:00:00Z&limit=100

Example response

[
    {
        "_id": "EyS84FdLk",
        "userId": "UHJ9JgtA",
        "startTimestamp": "2023-01-02T08:30:00Z",
        "parts": [
            {
                "endTimestamp": "2023-01-02T08:45:00Z",
                "taskId": "T3s6UGyzY",
                "boardId": "BZrWANX8T"
            },
            {
                "endTimestamp": "2023-01-02T08:51:00Z",
                "taskId": "TZ8avKBVt",
                "boardId": "BZrWANX8T"
            }
        ]
    },
    {
        "_id": "Eks4VwyRB",
        "userId": "UHJ9JgtA",
        "startTimestamp": "2023-01-02T09:00:00Z",
        "parts": [
            {
                "endTimestamp": "2023-01-02T09:10:00Z",
                "taskId": "T3s6UGyzY",
                "boardId": "BZrWANX8T"
            },
            {
                "endTimestamp": "2023-01-02T09:15:00Z",
                "taskId": "TZ8avKBVt",
                "boardId": "BZrWANX8T"
            }
        ]
    },
    {
        "_id": "E3VJU6yeb",
        "userId": "UHJ9JgtA",
        "startTimestamp": "2023-01-02T09:20:00Z",
        "parts": [
            {
                "endTimestamp": "2023-01-02T09:30:00Z",
                "taskId": "T3s6UGyzY",
                "boardId": "BZrWANX8T"
            }
        ]
    }
]

Valid parameters

ParameterTypeComment
fromStringThe start of the time period to get time entries for. Either from or to is required. If you want to give a timestamp for 1 January 2023 05:30 (UTC), you can either use 2023-01-01T05:30Z or 1672551000000 (time since epoch).
toStringThe end of the time period to get time entries for. Either from or to is required. If you want to give a timestamp for 1 January 2023 05:30 (UTC), you can either use 2023-01-01T05:30Z or 1672551000000 (time since epoch).
userIdStringFilter entries by user ID.
limitIntegerThe maximum number of time entries to retrieve. The highest value that can be used is 1000. Default: 100.